Bug 1324867 (CVE-2016-2085)

Summary: CVE-2016-2085 kernel: timing side channel vulnerability in the Linux Extended Verification Module
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, aquini, arm-mgr, bhu, blc, carnil, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, kstutsma, lgoncalv, lwang, madhu.chinakonda, matt, mchehab, mcressma, mguzik, mlangsdo, nmurray, pholasek, plougher, rt-maint, rvrbovsk, slawomir, vdronov, vgoyal, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-15 10:48:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1332402    
Bug Blocks: 1324875    

Description Andrej Nemec 2016-04-07 13:22:29 UTC
A timing side channel vulnerability was discovered in the Linux Extended Verification Module (EVM). An attacker could use this to affect system integrity.

The problem exists because the vm_verify_hmac() function includes a use of memcmp(). This function is not safe to be used for comparing memory, allows timing side channel attacks; specifically a MAC forgery complexity drop from 2^128 to 2^12.  This patch changes the memcmp() to the cryptographically safe crypto_memneq().  


Upstream fix:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=613317bd212c585c20796c10afe5daaa95d4b0a1

Original bug report:

http://people.canonical.com/~ubuntu-security/cve/2016/CVE-2016-2085.html

Comment 1 Justin M. Forbes 2016-04-07 17:21:53 UTC
This does not impact Fedora as CONFIG_EVM is not enabled.

Comment 2 Wade Mealing 2016-04-29 14:34:33 UTC
Statement:

This issue does not affect the Linux kernels as shipped with Red Hat Enterprise Linux 4,5 and 6.

This issue affects the Linux kernels as shipped with Red Hat Enterprise Linux 7 and kernel-rt packages and does not plan to be addressed in a future update.